- auto_ssl_available = ::Gitlab::LetsEncrypt.enabled?
- auto_ssl_enabled = domain_presenter.auto_ssl_enabled?
- auto_ssl_available_and_enabled = auto_ssl_available && auto_ssl_enabled
- has_user_defined_certificate = domain_presenter.certificate && domain_presenter.certificate_user_provided?

- if auto_ssl_available
  .form-group.border-section
    .row
      .col-sm-2
        = _('Certificate')
      .col-sm-10.js-auto-ssl-toggle-container
        %label{ for: "pages_domain_auto_ssl_enabled_button" }
          - lets_encrypt_link_url = "https://letsencrypt.org/"
          - lets_encrypt_link_start = "<a href=\"%{lets_encrypt_link_url}\" target=\"_blank\" rel=\"noopener noreferrer\" class=\"text-nowrap\">".html_safe % { lets_encrypt_link_url: lets_encrypt_link_url }
          - lets_encrypt_link_end = "</a>".html_safe
          = _("Automatic certificate management using %{lets_encrypt_link_start}Let's Encrypt%{lets_encrypt_link_end}").html_safe % { lets_encrypt_link_start: lets_encrypt_link_start, lets_encrypt_link_end: lets_encrypt_link_end }
          = render Pajamas::ToggleComponent.new(id: 'pages_domain_auto_ssl_enabled_button',
            classes: 'js-project-feature-toggle js-enable-ssl-gl-toggle mt-2',
            is_checked: auto_ssl_available_and_enabled,
            label: _("Automatic certificate management using Let's Encrypt"),
            label_position: :hidden)
          = f.hidden_field :auto_ssl_enabled?, class: "js-project-feature-toggle-input"
        %p.gl-text-secondary.gl-mt-1
          - docs_link_url = help_page_path("user/project/pages/custom_domains_ssl_tls_certification/lets_encrypt_integration.md")
          - docs_link_start = "<a href=\"%{docs_link_url}\" target=\"_blank\" rel=\"noopener noreferrer\" class=\"text-nowrap\">".html_safe % { docs_link_url: docs_link_url }
          - docs_link_end = "</a>".html_safe
          = _("Let's Encrypt is a free, automated, and open certificate authority (CA) that gives digital certificates in order to enable HTTPS (SSL/TLS) for websites. Learn more about Let's Encrypt configuration by following the %{docs_link_start}documentation on GitLab Pages%{docs_link_end}.").html_safe % { docs_link_url: docs_link_url, docs_link_start: docs_link_start, docs_link_end: docs_link_end }

.form-group.border-section.js-shown-unless-auto-ssl{ class: ("d-none" if auto_ssl_available_and_enabled) }
  - if has_user_defined_certificate
    .row
      .col-sm-10.offset-sm-2
        = render Pajamas::CardComponent.new(body_options: { class: 'gl-display-flex gl-align-items-center gl-justify-content-space-between gl-p-5' }) do |c|
          - c.header do
            = _('Certificate')
          - c.body do
            %span
              = domain_presenter.pages_domain.subject || _('missing')
            = link_to _('Remove'),
              clean_certificate_project_pages_domain_path(@project, domain_presenter),
              data: { confirm: _('Are you sure?'), 'confirm-btn-variant': 'danger' },
              'aria-label': s_("GitLabPages|Remove certificate"),
              class: 'gl-button btn btn-danger btn-sm',
              method: :delete
  - else
    .row
      .col-sm-10.offset-sm-2
        = f.label :user_provided_certificate, _("Certificate (PEM)")
        = f.text_area :user_provided_certificate,
          rows: 5,
          class: "form-control js-enabled-unless-auto-ssl",
          disabled: auto_ssl_available_and_enabled
        %span.help-inline.text-muted= _("Upload a certificate for your domain with all intermediates")
    .row
      .col-sm-10.offset-sm-2
        = f.label :user_provided_key, _("Key (PEM)")
        = f.text_area :user_provided_key,
          rows: 5,
          class: "form-control js-enabled-unless-auto-ssl",
          disabled: auto_ssl_available_and_enabled
        %span.help-inline.text-muted= _("Upload a private key for your certificate")

= render 'lets_encrypt_callout', auto_ssl_available_and_enabled: auto_ssl_available_and_enabled
